%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}
%define pear_name HTTP_Upload

Name:           php-pear-HTTP-Upload
Version:        0.9.1
Release:        2%{?dist}
Summary:        Secure managment of files submitted via HTML Forms

Group:          Development/Libraries
License:        LGPLv2+
URL:            http://pear.php.net/package/HTTP_Upload
Source0:        http://pear.php.net/get/%{pear_name}-%{version}.tgz
Patch0:         %{pear_name}-0.9.1-sample.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  php-pear >= 1:1.4.9-1.2
Requires:       php-pear(PEAR)
Requires(post): %{__pear}
Requires(postun): %{__pear}
Provides:       php-pear(%{pear_name}) = %{version}

%description
This class provides an advanced file uploader system for file uploads made
from html forms. Features:
* Can handle from one file to multiple files.
* Safe file copying from tmp dir.
* Easy detecting mechanism of valid upload, missing upload or error.
* Gives extensive information about the uploaded file.
* Rename uploaded files in different ways: as it is, safe or unique
* Validate allowed file extensions
* Multiple languages error messages support (es, en, de, fr, it, nl, pt_BR)


%prep
%setup -qc
[ -f package2.xml ] || mv package.xml package2.xml
mv package2.xml %{pear_name}-%{version}/%{pear_name}.xml
cd %{pear_name}-%{version}


%build
cd %{pear_name}-%{version}
# Empty build section, most likely nothing required.


%install
cd %{pear_name}-%{version}
rm -rf $RPM_BUILD_ROOT docdir
%{__pear} install --nodeps --packagingroot $RPM_BUILD_ROOT %{pear_name}.xml

# Move documentation
mkdir -p docdir
mv $RPM_BUILD_ROOT%{pear_docdir}/* docdir

# Must be patched manually after install
pushd docdir/%{pear_name}
patch -p0 < %{PATCH0}
popd

# Fix EOL encoding
sed -i 's/\r//' docdir/%{pear_name}/docs/upload_example.php

# Clean up unnecessary files
rm -rf $RPM_BUILD_ROOT%{pear_phpdir}/.??*

# Install XML package description
install -d $RPM_BUILD_ROOT%{pear_xmldir}
install -pm 644 %{pear_name}.xml $RPM_BUILD_ROOT%{pear_xmldir}


%clean
rm -rf $RPM_BUILD_ROOT


%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{pear_name}.xml >/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        %{pear_name} >/dev/null || :
fi


%files
%defattr(-,root,root,-)
%doc %{pear_name}-%{version}/docdir/%{pear_name}/docs/*
%{pear_xmldir}/%{pear_name}.xml
%dir %{pear_phpdir}/HTTP
%{pear_phpdir}/HTTP/Upload.php


%changelog
* Thu Feb  7 2008 Christopher Stone <chris.stone@gmail.com> 0.9.1-2
- Patch sample (bz #397031)

* Fri Nov 23 2007 Christopher Stone <chris.stone@gmail.com> 0.9.1-1
- Initial Fedora release
